When building shared libraries on HP-UX 10.20 and HP-UX 11.00 (32bit),
authorRichard Levitte <levitte@openssl.org>
Sun, 22 Oct 2000 21:37:39 +0000 (21:37 +0000)
committerRichard Levitte <levitte@openssl.org>
Sun, 22 Oct 2000 21:37:39 +0000 (21:37 +0000)
ld warns that -Fl "may not be supported in future releases".  We know
that, and are doing things in HP-UX 11 (64bit), so turn off that
warning with +vnocompatwarnings.

Makefile.org

index 3af3971..7d93839 100644 (file)
@@ -281,7 +281,8 @@ do_solaris-shared:
 # This assumes that GNU utilities are *not* used
 do_hpux-shared:
        libs='${SHLIBDEPS}'; for i in ${SHLIBDIRS}; do \
-       ( set -x; /usr/ccs/bin/ld -b -z -o lib$$i.sl.${SHLIB_MAJOR}.${SHLIB_MINOR} \
+       ( set -x; /usr/ccs/bin/ld +vnocompatwarnings \
+               -b -z -o lib$$i.sl.${SHLIB_MAJOR}.${SHLIB_MINOR} \
                +h lib$$i.sl.${SHLIB_MAJOR}.${SHLIB_MINOR} \
                -Fl lib$$i.a $$libs ${EX_LIBS} -lc ) || exit 1; \
        libs="$$libs -L. -l$$i"; \